library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity mux41 is
	port (I: in std_logic_vector(3 downto 0);
		A: in std_logic_vector(1 downto 0);
		O: out std_logic);
end mux41;

architecture behavioral of mux41 is

begin
--	with A select
--		O <= I(0) when "00",
--			 I(1) when "01",
--			 I(2) when "10",
--			 I(3) when others;

	O <= (not A(1) and not A(0) and I(0)) or
		 (not A(1) and 	   A(0) and I(1)) or
		 (    A(1) and not A(0) and I(2)) or
		 (    A(1) and     A(0) and I(3));


end behavioral;